Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.focus
Class ViewFocusRenderStrategy

    java.lang.Object
      org.richfaces.renderkit.focus.AbstractFocusRenderStrategy
          org.richfaces.renderkit.focus.ViewFocusRenderStrategy

All Implemented Interfaces:
  FocusRenderStrategy

    public class ViewFocusRenderStrategy

extends AbstractFocusRenderStrategy

Strategy for rendering Focus in `AbstractFocus.Mode#VIEW`

Field Summary

Fields inherited from class org.richfaces.renderkit.focus.AbstractFocusRenderStrategy
`RENDERER_UTILS`

Constructor Summary
`ViewFocusRenderStrategy()`

Method Summary
`String` | `getFocusCandidatesAsString(javax.faces.context.FacesContext context, AbstractFocus component)` Get space-separated list of clientIds as component candidates to be focused on client.
`void` | `postAddToView(javax.faces.context.FacesContext context, AbstractFocus component)` This method will be called once the component is placed into view
`boolean` | `shouldApply(javax.faces.context.FacesContext context, AbstractFocus component)` Determines whether the currently rendered Focus should be rendered or not based on if request is postback and if Focus belongs to form which has been submitted.

Methods inherited from class org.richfaces.renderkit.focus.AbstractFocusRenderStrategy
`getFocusCandidatesAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewFocusRenderStrategy

    public ViewFocusRenderStrategy()

Method Detail

### postAddToView

    public void postAddToView(javax.faces.context.FacesContext context,
                              AbstractFocus component)

  Description copied from interface: `FocusRenderStrategy`
  This method will be called once the component is placed into view

### shouldApply

    public boolean shouldApply(javax.faces.context.FacesContext context,
                               AbstractFocus component)

  Description copied from interface: `FocusRenderStrategy`
  Determines whether the currently rendered Focus should be rendered or not based on if request is postback and if Focus belongs to form which has been submitted.

### getFocusCandidatesAsString

    public String getFocusCandidatesAsString(javax.faces.context.FacesContext context,
                                             AbstractFocus component)

  Description copied from interface: `FocusRenderStrategy`
  Get space-separated list of clientIds as component candidates to be focused on client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.